Bug 927386 - (CVE-2012-6139) CVE-2012-6139 libxslt: two DoS issues fixed in 1.1.28
CVE-2012-6139 libxslt: two DoS issues fixed in 1.1.28
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121002,reported=2...
: Security
: 927388 (view as bug list)
Depends On: 927580 927945
Blocks: 927392
  Show dependency treegraph
 
Reported: 2013-03-25 15:58 EDT by Vincent Danen
Modified: 2015-08-22 10:54 EDT (History)
8 users (show)

See Also:
Fixed In Version: libxslt 1.1.28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 10:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-03-25 15:58:14 EDT
It was reported [1] that libxlst would crash with a segfault when proessing XML files with an empty xls:key/@match attribute.

This has been fixed in version 1.1.28 [2].

[1] https://bugzilla.gnome.org/show_bug.cgi?id=685328
[2] https://git.gnome.org/browse/libxslt/commit/?id=dc11b6b379a882418093ecc8adf11f6166682e8d
Comment 1 Agostino Sarubbo 2013-03-25 16:40:29 EDT
CVE-2012-6139 has been assigned http://www.openwall.com/lists/oss-security/2013/03/25/10
Comment 2 Vincent Danen 2013-03-25 16:46:46 EDT
*** Bug 927388 has been marked as a duplicate of this bug. ***
Comment 3 Vincent Danen 2013-03-25 16:47:33 EDT
The following issue was merged with this one under one CVE:

It was reported [1] that libxlst would crash with a segfault due to a read near NULL occurring in xsltDocumentFunction() when an uninitialized variable is used as a parameter to the document() function.

This has been fixed in version 1.1.28 [2].

[1] https://bugzilla.gnome.org/show_bug.cgi?id=685330
[2] https://git.gnome.org/browse/libxslt/commit/?id=6c99c519d97e5fcbec7a9537d190efb442e4e833
Comment 4 Jan Lieskovsky 2013-03-26 05:26:52 EDT
This issue affects the versions of the libxslt package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 5 Jan Lieskovsky 2013-03-26 05:28:00 EDT
Created libxslt tracking bugs for this issue

Affects: fedora-all [bug 927580]
Comment 6 Vincent Danen 2013-03-26 10:41:56 EDT
Created mingw-libxslt tracking bugs for this issue

Affects: fedora-all [bug 927945]
Comment 8 Erik van Pienbroek 2013-03-27 10:31:15 EDT
(In reply to comment #6)
> Created mingw-libxslt tracking bugs for this issue
> 
> Affects: fedora-all [bug 927945]

The package mingw-libxslt is already at version 1.1.28 in all supported Fedora branches, so it shouldn't be affected if I'm correct
Comment 9 Vincent Danen 2015-08-22 10:53:48 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.